Package com.sas.lsaf.workflow.processflow

## Enum ProcessFlowDescriptor.FlowStatus

- java.lang.Object
- - java.lang.Enum<ProcessFlowDescriptor.FlowStatus>
  - - com.sas.lsaf.workflow.processflow.ProcessFlowDescriptor.FlowStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ProcessFlowDescriptor.FlowStatus>`
  Enclosing class:
    ProcessFlowDescriptor

      public static enum ProcessFlowDescriptor.FlowStatus
      extends java.lang.Enum<ProcessFlowDescriptor.FlowStatus>

  The statuses of a process flow.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVE` | The process flow has been started and is active.
    `COMPLETED` | The process flow is completed.
    `NOT_STARTED` | The process flow has not started.
    `SUSPENDED` | The process flow has been started but is suspended.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ProcessFlowDescriptor.FlowStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ProcessFlowDescriptor.FlowStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_STARTED

          public static final ProcessFlowDescriptor.FlowStatus NOT_STARTED

      The process flow has not started.

    - #### ACTIVE

          public static final ProcessFlowDescriptor.FlowStatus ACTIVE

      The process flow has been started and is active.

    - #### SUSPENDED

          public static final ProcessFlowDescriptor.FlowStatus SUSPENDED

      The process flow has been started but is suspended.

    - #### COMPLETED

          public static final ProcessFlowDescriptor.FlowStatus COMPLETED

      The process flow is completed.

  - ### Method Detail

    - #### values

          public static ProcessFlowDescriptor.FlowStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProcessFlowDescriptor.FlowStatus c : ProcessFlowDescriptor.FlowStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProcessFlowDescriptor.FlowStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null